The team board: who is on a call, available or away; today
GET
/v1/workspace/team/board
const url = 'https://api.vocapable.com/v1/workspace/team/board';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/team/board \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
TeamBoard
object
generated_at
required
Generated At
string format: date-time
members
required
Members
Array<object>
TeamBoardMemberobject
user
required
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
role
required
Role
string
status
required
Status
string
status_label
required
Status Label
string
live_call
required
Any of:
TeamBoardLiveCall
object
call_id
required
Call Id
string
source
required
Source
string
direction
required
Direction
string
with_name
required
With Name
string
since
required
Since
string format: date-time
seconds
required
Seconds
integer
supervisable
Supervisable
boolean
supervised_by
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
null
device_ready
required
Device Ready
boolean
agent
Any of:
TeamBoardAgentState
A teammate’s agent state on the team board (contact-center companies).
object
state
required
State
string
null
queue
required
today
required
TeamBoardToday
object
answered_by_team
required
Answered By Team
integer
answered_by_ai
required
Answered By Ai
integer
missed
required
Missed
integer
voicemails
required
Voicemails
integer
returned
required
Returned
integer
timezone
required
Timezone
string
label
required
Label
string
longest_unanswered_promise
required
Any of:
TeamBoardPromise
object
kind
required
Kind
string
id
required
Id
string
title
required
Title
string
promised_at
required
Promised At
string format: date-time
overdue_seconds
required
Overdue Seconds
integer
owner
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
null
definitions
required
Definitions
Array<object>
WorkspaceMetricDefinitionobject
key
required
Key
string
label
required
Label
string
definition
required
Definition
string
poll_seconds
required
Poll Seconds
integer
supervision_enabled
Supervision Enabled
boolean
contact_center_enabled
Contact Center Enabled
boolean
can_change_agent_state
Can Change Agent State
boolean
Example
{ "members": [ { "role": "owner", "status": "on_call", "live_call": { "source": "workspace_call", "direction": "outbound", "supervisable": false, "supervision_mode": "listen" }, "agent": { "state": "available", "next_state": "available" } } ], "longest_unanswered_promise": { "kind": "requested_callback" }, "supervision_enabled": false, "contact_center_enabled": false, "can_change_agent_state": false}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}